%define roundcubedir %{_datadir}/roundcubemail
%global _logdir /var/log  
%define date   %(echo `C_ALL="C" date +"%a %b %d %Y"`)

Name:          roundcubemail
Epoch:         1
Version:       0.9
Release:       3.ru6
Summary:       RoundCube Webmail, a browser-based multilingual IMAP client
Group:         Applications/System         
License:       GPLv2
URL:           https://oss-services.rutgers.edu/trac/roundcube/
Source0:       %{name}-%{version}.tar.gz

BuildRequires: yuicompressor java-1.6.0-openjdk
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
Requires:      php-mysql 
# in 1.5 Mail-mimeDecode splits out, so edit below
Requires:      php, httpd
# in 1.5 Mail-mimeDecode splits out, so edit below
#Requires: php-pear-Mail-mimeDecode
Requires:      php-mcrypt
Requires:      php-pecl-Fileinfo
Requires:      php-xml
Requires:      php-mbstring
Requires:      php-pspell
Requires:      php-ldap
Requires:      webtools >= 2.0-15
Requires:	   webtools-check-criteria
Requires:      php-process
Requires:      GeoIP

Obsoletes:     roundcubemail-plugins roundcubemail-ru-plugins roundcubemail-webtools

%description
Rutgers customized imlementation of RoundCube Webmail.
RoundCube Webmail is a browser-based multilingual IMAP client
with an application-like user interface. It provides full
functionality you expect from an e-mail client, including MIME
support, address book, folder manipulation, message searching
and spell checking. RoundCube Webmail is written in PHP and 
requires the MySQL database or the PostgreSQL database. The user
interface is fully skinnable using XHTML and CSS 2.

%prep
%setup -q -n roundcubemail

# fix permissions and remove any .htaccess files
find . -type f -exec chmod u=rw,go= "{}" \;
find . -name \.htaccess -print | xargs rm -f

# fixup paths to use the right paths
sed -i 's|temp/|${_tmppath}|' config/main.inc.php.dist
sed -i 's|config/|%{_sysconfdir}/roundcubemail/|' config/main.inc.php.dist
sed -i 's|logs/|%{_logdir}/roundcubemail/|' config/main.inc.php.dist
#sed -i 's|logs/|%{_logdir}/roundcubemail/|' program/include/main.inc
#sed -i 's|config/|%{_sysconfdir}/roundcubemail/|' program/include/main.inc

%build

#Compress js
for js in $(find . -name *.js);
do \
	yuicompressor -v -o $js.min $js; \
	mv $js.min $js; \
done;

#Compress css
for css in $(find . -name *.css);
do \
	yuicompressor -v -o $css.min $css; \
	mv $css.min $css; \
done;

%install

rm -rf %{buildroot}
install -d %{buildroot}%{roundcubedir}
cp -pr * %{buildroot}%{roundcubedir}

rm -rf %{buildroot}%{roundcubedir}/installer

mkdir -p %{buildroot}%{_sysconfdir}/roundcubemail
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d

mkdir -p %{buildroot}/var/log/roundcubemail

cd %{buildroot}%{roundcubedir}/
find . -name \*.swp -type f -delete

mv %{buildroot}%{roundcubedir}/config/* %{buildroot}%{_sysconfdir}/roundcubemail/

# clean up the buildroot
rm -rf %{buildroot}%{roundcubedir}/{config,logs,temp}
rm -rf %{buildroot}%{roundcubedir}/{CHANGELOG,INSTALL,LICENSE,README,UPGRADING,SQL}

# symlink for config files
ln -s %{_sysconfdir}/roundcubemail/ %{buildroot}%{roundcubedir}/config

%clean
rm -rf %{buildroot}

%post

%files
%defattr(0770,root,apache,-)
%doc SQL/mysql.initial.sql
%{roundcubedir}
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/mimetypes.php
%dir /var/log/roundcubemail
/etc/roundcubemail/main.inc.php.dist
/etc/roundcubemail/db.inc.php.dist


%changelog
* Tue Apr 16 2013 Josh Matthews <jmatth@nbcs.rutgers.edu> - 0.9-1
- Updating to 0.9 stable release.

* Tue Apr 09 2013 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> - 0.9-rc2-2
- Fixing dependency problems for Centos 6 (removing php-pear deps)

* Thu Apr 04 2013 Josh Matthews <jmatth@nbcs.rutgers.edu> - 0.9-rc2-1
- Initial build of Roundcube 0.9 for Centos 6 at Rutgers.
